### Property

# GtkSource View:enable-snippets

#### Declaration

    property enable-snippets: gboolean [ read, write ]

#### Description [src]

The property denotes if snippets should be expanded when the user presses Tab after having typed a word matching the snippets found in `GtkSourceSnippetManager`.

The user may tab through focus-positions of the snippet if any are available by pressing Tab repeatedly until the desired focus position is selected.

Type:`gboolean`

Default value | FALSE
Getter method | `gtk_source_view_get_enable_snippets()`
Setter method | `gtk_source_view_set_enable_snippets()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no